MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004222ATutorSocialpublic2010-04-21 06:142010-09-22 11:50
Reporterharris 
Assigned Toharris 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version2.0 
Summary0004222: json_encode/ json_decode requires PHP 5.2+
DescriptionOur requirement page says that we need PHP 5.0+.

The json library isn't available until 5.2+. Need to build a json_encode/ json_decode function for lower versions.

http://www.atutor.ca/view/7/19925/1.html [^]
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0004157)
harris (developer)
2010-04-21 06:32

use the JSON_service, and then make a wrapper around it.
(0004158)
harris (developer)
2010-04-21 06:42

Patcher has its own json.inc.php. Recycle its code.
(0004197)
greg (administrator)
2010-05-02 14:59

Create for 5.2, and have the patcher inc as a backup.
(0004243)
harris (developer)
2010-05-06 08:53

svn: 9900

include/lib/json.inc.php

note: patcher still uses its own json encoder.

- Issue History
Date Modified Username Field Change
2010-04-21 06:14 harris New Issue
2010-04-21 06:14 harris Affects version => SVN
2010-04-21 06:25 harris Note Added: 0004156
2010-04-21 06:30 harris Note Deleted: 0004156
2010-04-21 06:32 harris Note Added: 0004157
2010-04-21 06:42 harris Note Added: 0004158
2010-05-02 14:59 greg Note Added: 0004197
2010-05-02 15:00 greg Status new => assigned
2010-05-02 15:00 greg Assigned To => harris
2010-05-06 08:53 harris Status assigned => resolved
2010-05-06 08:53 harris Resolution open => fixed
2010-05-06 08:53 harris Note Added: 0004243
2010-05-13 08:29 harris Status resolved => assigned
2010-05-13 08:29 harris Status assigned => resolved
2010-05-13 08:29 harris Fixed in Version => 2.0
2010-09-22 11:50 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker